Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.util
Class CommonsLogger

    java.lang.Object
      org.apache.poi.util.POILogger
          org.apache.poi.util.CommonsLogger

    public class CommonsLogger

extends POILogger

A logger class that strives to make it as easy as possible for developers to write log calls, while simultaneously making those calls as cheap as possible by performing lazy evaluation of the log message.

Author:
  Marc Johnson (mjohnson at apache dot org), Glen Stampoultzis (glens at apache.org), Nicola Ken Barozzi (nicolaken at apache.org)

Field Summary

Fields inherited from class org.apache.poi.util.POILogger
`DEBUG, ERROR, FATAL, INFO, WARN`

Constructor Summary
`CommonsLogger()`

Method Summary
`boolean` | `check(int level)` Check if a logger is enabled to log at the specified level
`void` | `initialize(java.lang.String cat)`
`void` | `log(int level, java.lang.Object obj1)` Log a message
`void` | `log(int level, java.lang.Object obj1, java.lang.Throwable exception)` Log a message

Methods inherited from class org.apache.poi.util.POILogger
`log, log, log, log, log, log, log, log, log, log, log, log, log, log, log, logFormatted, logFormatted, logFormatted, logFormatted`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonsLogger

    public CommonsLogger()

Method Detail

### initialize

    public void initialize(java.lang.String cat)

  Specified by:
    `initialize` in class `POILogger`

### log

    public void log(int level,
                    java.lang.Object obj1)

  Log a message

  Specified by:
    `log` in class `POILogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
    `obj1` - The object to log.

### log

    public void log(int level,
                    java.lang.Object obj1,
                    java.lang.Throwable exception)

  Log a message

  Specified by:
    `log` in class `POILogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
    `obj1` - The object to log. This is converted to a string.
    `exception` - An exception to be logged

### check

    public boolean check(int level)

  Check if a logger is enabled to log at the specified level

  Specified by:
    `check` in class `POILogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD